package exercise;

import java.time.LocalDate;

public class Order {
	private String code;
	private LocalDate date;
	private double price;
	private int quantity;
	private boolean delivery;

	public Order(String code, LocalDate date, double price, int quantity, boolean delivery) {
		this.code = code;
		this.date = date;
		this.price = price;
		this.quantity = quantity;
		this.delivery = delivery;
	}

	public double juchuGaku() {
		return price * quantity;
	}

	public String getCode() {
		return code;
	}

	public LocalDate getDate() {
		return date;
	}

	public double getPrice() {
		return price;
	}

	public int getQuantity() {
		return quantity;
	}

	public boolean isDelivery() {
		return delivery;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public void setDate(LocalDate date) {
		this.date = date;
	}

	public void setPrice(double price) {
		this.price = price;
	}

	public void setQuantity(int quantity) {
		this.quantity = quantity;
	}

	public void setDelivery(boolean delivery) {
		this.delivery = delivery;
	}

	@Override
	public String toString() {
		return "Order [code=" + code + ", date=" + date + ", price=" + price + ", quantity=" + quantity + ", delivery=" + delivery + "]";
	}

}
